No se encontraron recursos que coincidan con el nombre de stack ‘@ style / Theme.AppCompat.Light’

He estado en este problema por un par de horas. Después de descargar un repository desde github, el único error en cualquier archivo .xml es:

No resource found that matches the given name '@style/Theme.AppCompat.Light' 

El código es muy sencillo, pero no hay una respuesta directa que haya encontrado sobre cómo aliviar el error.

aquí está el código (en el archivo res / values ​​/ styles.xml):

    

El proyecto se encuentra en: https://github.com/erikswed/InstaChatX Estoy en Windows, usando Eclipse Kepler

¿Cuáles son los pasos para eso? ¿Dónde se encuentra AppCompat?

Descargue la biblioteca de soporte aquí:

http://developer.android.com/tools/support-library/setup.html

Si está utilizando Eclipse:

Vaya a las tabs en la parte superior y seleccione (Windows -> Android SDK Manager). Debajo de la sección de ‘extras’, revisa ‘Android Support Library’ y verifícala para la instalación.

enter image description here

Después de eso, la biblioteca de AppCompat se puede encontrar en:

 android-sdk/extras/android/support/v7/appcompat 

Debe hacer referencia a esta biblioteca de AppCompat en su proyecto de Android.

Importe la biblioteca en Eclipse.

  1. Haga clic derecho en su proyecto de Android.
  2. Seleccionar propiedades.
  3. Haga clic en ‘agregar …’ en la parte inferior para agregar una biblioteca.
  4. Seleccione la biblioteca de soporte
  5. Limpia y reconstruye tu proyecto.

Si está buscando la solución en Android Studio :

  1. Haga clic derecho en su aplicación
  2. Abra la configuración del módulo
  3. Seleccione la pestaña Dependencias
  4. Haga clic en el símbolo verde + que está en el lado derecho
  5. Seleccione la dependencia de la biblioteca
  6. Elija appcompat-v7 de la lista

Los pasos descritos anteriormente funcionan, sin embargo, he encontrado este problema en IntelliJ IDEA y he descubierto que tengo estos problemas con los proyectos existentes y la única solución es eliminar el módulo ‘appcompat’ (no la biblioteca) y volver importarlo

A continuación se detallan los pasos a seguir para resolver el problema:

  1. Proporcione una referencia de la Biblioteca de AppCompat en su proyecto.
  2. Si la opción 1 no resuelve el problema, puede intentar cambiar el archivo style.xml por el siguiente código.
  parent="android:Theme.Holo.Light" 

en lugar.

  parent="android:Theme.AppCompat.Light" 

Pero la opción 2 requerirá una versión SDK mínima 14.

Espero que esto ayude!

Summved